# Poco

# class NullChannel

Library: Foundation
Package: Logging
Header: Poco/NullChannel.h

## Description

The NullChannel is the /dev/null of Channels.

A NullChannel discards all information sent to it. Furthermore, its setProperty() method ignores all properties, so it the NullChannel has the nice feature that it can stand in for any other channel class in a logging configuration.

## Inheritance

Direct Base Classes: Channel

All Base Classes: Channel, Configurable, RefCountedObject

## Member Summary

Member Functions: log, setProperty

Inherited Functions: close, duplicate, getProperty, log, open, referenceCount, release, setProperty

## Constructors

### NullChannel

NullChannel();

Creates the NullChannel.

## Destructor

### ~NullChannel

~NullChannel();

Destroys the NullChannel.

## Member Functions

### log

void log(
const Message & msg
);

Does nothing.

See also: Poco::Channel::log()

### setProperty

void setProperty(
const std::string & name,
const std::string & value
);

Ignores both name and value.

See also: Poco::Channel::setProperty()